Met unexpected error when uploading and installing add-on (Bamboo)

Hi all,

 

I tried to upload a jar file for adding a new add-on in bamboo. And it reports unexpected error after clicking 'upload' button. In the meantime, the pop-up windows which shows installing the add-on cannot be closed.

 

addon_error.png

 

The add-on jar file is from https://marketplace.atlassian.com/download/plugins/com.thed.zephyr.zfj-bamboo/version/10000020

Anyone know how to solve this ?

 

Thanks,

Rui

3 answers

0 vote

I have encountered this error when Bamboo's Base URL setting does not match the actual URL in use, refer to Specifying Bamboo's URL on how to address this in case:

To specify Bamboo's URL:

  1. Click the  icon in the Bamboo header and choose  Overview.
  2. Click General Configuration (under 'System'), in the left navigation panel.
  3. In the Base URL field, type the URL address of your Bamboo server (for example, "http://keg:8080/bamboo").
  4. Click Save.

The error is slightly misleading, insofar the add-on installation continues (and usually succeeds), but he client side add-on installation progress monitoring is unable to communicate with Bamboo via the erroneous base URL.

Thank you Steffen.

I checked the URL and it is correct.

I tried again but failed again.

In this case it's probably going to be most efficient if you directly contact the add-on's vendor Zephyr via the Get support link from the add-on listing. I have also added the resp. tag 'addon-com.thed.zephyr.zfj-bamboo' to your question, but given you are the first to ask about it, they likely won't monitor this yet.

I cannot upgrade "Support Tools Plugin" either.

And I tried to install  "TFS Repository" but shows "Problem accessing the file TFS Repository."

I think there's something wrong which may not the Zephyr's problem.

But I will try to contact Zephyr support team. Thank you.

Bamboo 5.14 comes with a few API changes for 5.14 that some add-ons likely need to address before they will be compatible again:

Plugins that are particularly prone to incompatibilities and require special attention are those that deal with:

  • automatic plan creation and management
  • automatic plan branch creation and management
  • repository configuration management

From that angle, the "TFS Repository" issues might actually be expected, but I wouldn't have expected issues with Zephyr's add-on, nor with the "Support Tools Plugin", which are concerned with entirely different topics in principle.

0 vote

Have you checked whether the add-on installation might have succeeded regardless by clicking Manage add-ons again afterwards? In case it has, see my answer for the likely explanation.

Thank you.

 

I tried and waited for over 1 hour. After refresh the page, it still failed.

 

Suggest an answer

Log in or Join to answer
Community showcase
Renan Battaglin
Published May 18, 2017 in Bamboo

FAQ: How to Upgrade Bamboo Server

Bamboo 5.9 will no longer be supported after June 12, 2017. What does this mean? As part of our End of Life policy, Atlassian supports major versions for two years after the first major iteratio...

1,091 views 0 5
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you
Atlassian Team Tour

Join us on the Team Tour

We're bringing product updates and pro tips on teamwork to ten cities around the world.

Save your spot